#pragma once
#include "InterfaceWrapperMacro.h"
#include "IConnectionTool.h"
#include "ServerToolWrap.h"

class CIConnectionToolWrap
{
public:
	//!	色々宣言
	DEFINE_MANAGER_WRAPPER_CONSTRUCTOR(CIConnectionToolWrap, IConnectionTool, 1);

	//////////////////////////////////////////////////////////////////////////////////////////////
	//	補助関数
	//////////////////////////////////////////////////////////////////////////////////////////////
	//!	サーバツール取得
	virtual CIServerToolWrap GetIServerTool() { return CIServerToolWrap(m_ifPtr->GetIServerTool()); };

	//!	スレッドステータス取得
	virtual IConnectionThreadStatusPtr GetIConnectionThreadStatus() { return m_ifPtr->GetIConnectionThreadStatus(); };

	//!	接続取得
	virtual IConnectionControlPtr GetIConnectionControl() { return m_ifPtr->GetIConnectionControl(); };

	//!	コンテキスト取得
	virtual CContext GetContxet()
	{
		CWorkspaceAccess context; 
		m_ifPtr->GetContxet(context.GetIWorkspaceAccessRef());
		return context;
	};
};
